RedPen Plugin
for IntelliJ IDEA

Compatible with all products except MPS
08.08.2016
1 138

RedPen is a proofreading tool to help writers or programmers who write technical documents or manuals that need to adhere to a writing standard.

The plugin validates text files with RedPen by adding a 'RedPen' inspection, which is enabled by default after installation.

Some errors can be fixed via quick fixes (Alt + Enter)

Language and variant are autodetected per file, however you can manually override them in IDEA status bar.

RedPen settings can be configured and imported/exported using native RedPen config format. All settings are stored per project.

Custom RedPen dictionaries can be put to .idea/redpen directory and JavaScriptValidator scripts can be put to .idea/redpen/js.

The following file types are supported (provided you have necessary plugins installed):

  • Plain text
  • Properties
  • Markdown
  • AsciiDoc
  • Re:VIEW
  • LaTeX

Please report any issues on GitHub.

Download plugin

Recent change notes

1.6.0
  • Upgraded to RedPen 1.7.0
1.5.0
  • Added LaTeX file format support
  • Added Re:VIEW file format support
1.4.0
  • Upgraded to RedPen 1.6.1
1.3.2
  • Upgraded to RedPen 1.5.5
1.3.1
  • Upgraded to RedPen 1.5.3
1.3
  • Upgraded to RedPen 1.5.2
  • Added Russian language
  • Added/improved quick fixes
1.2
  • Upgraded to RedPen 1.5.0
  • All available RedPen validators can now be used
  • All available validator properties are now shown in Settings dialog
  • Added Java Properties file format support
  • Added quick fixes for some validator errors
1.1.1
  • Do not support plugin for Intellij Platform builds with Kotlin version below 1.0
1.1
  • Bug fixes for Settings
  • Allow modifying configuration files manually while IDEA is open
1.0
  • Save/load of configurations for non-standard languages
  • Support for JavaScriptValidator
  • Fixed memory leak after closing the project
0.9.x
  • Support for files opened with MultiMarkdown plugin
  • A few bugfixes with Settings
0.9
  • Initial public release
01.03.2016
It may be due to beta version of Kotlin bundled with IDEA 15.0.2. Kotlin 1.0 is a bit incompatibe with beta versions, so we had to change our code accordingly. Please update IDEA to 15.0.4, which includes Kotlin 1.0 and let us know if it works for you.
01.03.2016
Latest version crashes my IntelliJ 15.0.2 Enterprise Edition. Only recourse is to disable
Please  sign in  to leave a comment.